Package org.kapott.hbci.sepa.jaxb.pain_002_002_02

## Class GroupHeaderSEPA

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_002_02.GroupHeaderSEPA

    public class GroupHeaderSEPA
    extends java.lang.Object

Java class for GroupHeaderSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GroupHeaderSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:swift:xsd:$pain.002.002.02}RestrictedIdentification1"/>
             <element name="CreDtTm" type="{urn:swift:xsd:$pain.002.002.02}ISODateTime"/>
             <choice>
               <element name="CdtrAgt" type="{urn:swift:xsd:$pain.002.002.02}BranchAndFinancialInstitutionIdentificationSEPA1" minOccurs="0"/>
               <element name="DbtrAgt" type="{urn:swift:xsd:$pain.002.002.02}BranchAndFinancialInstitutionIdentificationSEPA1" minOccurs="0"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected BranchAndFinancialInstitutionIdentificationSEPA1` `cdtrAgt`
`protected javax.xml.datatype.XMLGregorianCalendar` `creDtTm`
`protected BranchAndFinancialInstitutionIdentificationSEPA1` `dbtrAgt`
`protected java.lang.String` `msgId`

### Constructor Summary

Constructors
`GroupHeaderSEPA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BranchAndFinancialInstitutionIdentificationSEPA1` `getCdtrAgt()` Gets the value of the cdtrAgt property.
`javax.xml.datatype.XMLGregorianCalendar` `getCreDtTm()` Gets the value of the creDtTm property.
`BranchAndFinancialInstitutionIdentificationSEPA1` `getDbtrAgt()` Gets the value of the dbtrAgt property.
`java.lang.String` `getMsgId()` Gets the value of the msgId property.
`void` `setCdtrAgt​(BranchAndFinancialInstitutionIdentificationSEPA1 value)` Sets the value of the cdtrAgt property.
`void` `setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the creDtTm property.
`void` `setDbtrAgt​(BranchAndFinancialInstitutionIdentificationSEPA1 value)` Sets the value of the dbtrAgt property.
`void` `setMsgId​(java.lang.String value)` Sets the value of the msgId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### msgId

    protected java.lang.String msgId

#### creDtTm

    protected javax.xml.datatype.XMLGregorianCalendar creDtTm

#### cdtrAgt

    protected BranchAndFinancialInstitutionIdentificationSEPA1 cdtrAgt

#### dbtrAgt

    protected BranchAndFinancialInstitutionIdentificationSEPA1 dbtrAgt

### Constructor Detail

#### GroupHeaderSEPA

    public GroupHeaderSEPA()

### Method Detail

#### getMsgId

    public java.lang.String getMsgId()

Gets the value of the msgId property.

Returns:
  possible object is `String`

#### setMsgId

    public void setMsgId​(java.lang.String value)

Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

#### getCreDtTm

    public javax.xml.datatype.XMLGregorianCalendar getCreDtTm()

Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setCreDtTm

    public void setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getCdtrAgt

    public BranchAndFinancialInstitutionIdentificationSEPA1 getCdtrAgt()

Gets the value of the cdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSEPA1`

#### setCdtrAgt

    public void setCdtrAgt​(BranchAndFinancialInstitutionIdentificationSEPA1 value)

Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSEPA1`

#### getDbtrAgt

    public BranchAndFinancialInstitutionIdentificationSEPA1 getDbtrAgt()

Gets the value of the dbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSEPA1`

#### setDbtrAgt

    public void setDbtrAgt​(BranchAndFinancialInstitutionIdentificationSEPA1 value)

Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSEPA1`